Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.replay
Class VerifierFactoryImpl<Handle extends RawSerializable,Identifier extends RawSerializable>

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.replay.VerifierFactoryImpl<Handle,Identifier>

All Implemented Interfaces:
  VerifierFactory<Handle,Identifier>

    public class VerifierFactoryImpl<Handle extends RawSerializable,Identifier extends RawSerializable>

extends java.lang.Object
implements VerifierFactory<Handle,Identifier>

Constructor Summary
`VerifierFactoryImpl(PeerReview<Handle,Identifier> peerreview)`

Method Summary
`Verifier<Handle>` | `getVerifier(SecureHistory history, Handle localHandle, long firstEntryToReplay, long initialTime, java.lang.Object extInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifierFactoryImpl

    public VerifierFactoryImpl(PeerReview<Handle,Identifier> peerreview)

Method Detail

### getVerifier

    public Verifier<Handle> getVerifier(SecureHistory history,
                                        Handle localHandle,
                                        long firstEntryToReplay,
                                        long initialTime,
                                        java.lang.Object extInfo)
                                                         throws java.io.IOException

  Specified by:
    `getVerifier` in interface `VerifierFactory<Handle extends RawSerializable,Identifier extends RawSerializable>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.